import click
from fn_gen import DG2052

@click.command()
def print_whoami():
    """
    This program is for testing the DG2052 function generator library. It prints the conncted device identification.
    """
    fg = DG2052("TCPIP::192.168.1.11::INSTR")
    click.echo(f"{fg.whoami()}")

if __name__ == "__main__":
    print_whoami()
